Burp Suite User Forum

Login to post

pcsc smart card support Linux not working anymore?

Sven | Last updated: Nov 15, 2022 05:01PM UTC

Hi there, there is a problem with the feature 'User Options>TLS>Client TLS Certificates>Hardware token or smart card. The feature only seems to support "legacy" fat pcsc driver implementations, whereas most modern pcsc drivers use the pcsc-lite framework where the pcscd daemon handles the communication with the device/udev and exposes a common API and dynamically loads smaller device specific pcsc-lite drivers instead. If such a library is loaded, Burp complains with "Unable to load library - check file is correct and device is installed" Are there any solutions and is there a ticket already?

Michelle, PortSwigger Agent | Last updated: Nov 16, 2022 04:42PM UTC

Thanks for getting in touch. This isn't something we've been asked about before, so it would be good to find out more about your use case. We currently use PKCS11 rather than the Java Smart Card I/O framework. Would you be happy to send an email to supoprt@portswigger.net with a few more details on the smartcard you're using and your setup?

Sven | Last updated: Nov 18, 2022 04:56PM UTC

Thanks for the reply. A mail was sent your way.

Michelle, PortSwigger Agent | Last updated: Nov 21, 2022 08:45AM UTC

Thank you :)

You need to Log in to post a reply. Or register here, for free.